Bug 19423 - DecreaseLoanHighHolds.t is failing randomly
Summary: DecreaseLoanHighHolds.t is failing randomly
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 19705 19776
  Show dependency treegraph
 
Reported: 2017-10-06 13:34 UTC by Jonathan Druart
Modified: 2017-12-07 17:41 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19423: Prevent DecreaseLoanHighHolds.t to fail randomly (2.09 KB, patch)
2017-10-06 15:32 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-10-06 13:34:46 UTC
#   Failed test 'High holds checkout needs confirmation'
#   at t/db_dependent/DecreaseLoanHighHolds.t line 187.
# Looks like you failed 1 test of 17.
[19:46:05] t/db_dependent/DecreaseLoanHighHolds.t
Comment 1 Jonathan Druart 2017-10-06 15:32:24 UTC
Created attachment 67726 [details] [review]
Bug 19423: Prevent DecreaseLoanHighHolds.t to fail randomly

CanBookBeIssued returns STATS if categorycode is X

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 2 Jonathan Druart 2017-10-06 15:33:03 UTC
Patch pushed to master for 17.11.
Comment 3 Fridolin SOMERS 2017-10-27 13:34:48 UTC
Pushed to 17.05.x, will be in 17.05.06.
Comment 4 Katrin Fischer 2017-10-29 18:54:56 UTC
This patch has been pushed to 16.11.x and will be in 16.11.14.
Comment 5 Mason James 2017-11-23 23:24:53 UTC
Pushed to 16.05.x, for 16.05.19 release